RealMap (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.backend

## Class RealMap

- java.lang.Object
- - hlt.language.design.backend.RuntimeMap
  - - hlt.language.design.backend.RealMap

- All Implemented Interfaces:
    RuntimeObject

      public class RealMap
      extends RuntimeMap

  This is a representation of arrays of reals that may indexed by any type value from an `Indexable` collection.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealMap(double[] array, Indexable indexable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `array()`
    `RuntimeMap` | `copy()`
    `boolean` | `equals(java.lang.Object object)`
    `java.lang.Object` | `extractArray()`
    `double` | `get(double index)`
    `double` | `get(int index)`
    `double` | `get(java.lang.Object index)`
    `double` | `set(double index, double value)`
    `double` | `set(int index, double value)`
    `double` | `set(java.lang.Object index, double value)`
    `RuntimeMap` | `setArray(java.lang.Object array)`
    `double[]` | `toArray()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class hlt.language.design.backend.RuntimeMap

      `indexable, setIndexable, size, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RealMap

          public RealMap(double[] array,
                 Indexable indexable)

  - ### Method Detail

    - #### array

          public final double[] array()

    - #### copy

          public final RuntimeMap copy()

      Specified by:
        `copy` in class `RuntimeMap`

    - #### extractArray

          public final java.lang.Object extractArray()

      Specified by:
        `extractArray` in class `RuntimeMap`

    - #### toArray

          public final double[] toArray()

    - #### setArray

          public final RuntimeMap setArray(java.lang.Object array)

      Specified by:
        `setArray` in class `RuntimeMap`

    - #### get

          public final double get(double index)

    - #### get

          public final double get(int index)

    - #### get

          public final double get(java.lang.Object index)

    - #### set

          public final double set(double index,
                   double value)

    - #### set

          public final double set(int index,
                   double value)

    - #### set

          public final double set(java.lang.Object index,
                   double value)

    - #### equals

          public final boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`